Foro

Home Forums General Phonegap cli-5.1.1 error

This topic contains 5 replies, has 3 voices, and was last updated by Ángel Luis Sánchez Ángel Luis Sánchez 5 años, 1 mes .

Viendo 6 respuestas - de la 1 a 6 (de 6 en total)
  • Phonegap cli-5.1.1 error

    Intervenciones
  • Ángel Luis Sánchez
    Ángel Luis Sánchez 
    Participant

    Buenas a todos,

    me gustaría probar mi aplicación en la nueva versión de phonegap (5.1.1), pero al compilar en Phonegap BUILD, me da un eror cuando esta compilando, pero en phonegap 3.7.0 si me funciona perfectamente.

    ¿?Hay que hacer algo especial para que te compile en esa nueva versión?

    En el config.xml añadí:

    1.  <preference name='phonegap-version' value='cli-5.1.1' />

    Un saludo!


    Ángel Luis Sánchez
    Ángel Luis Sánchez 
    Participant

    Hago una aclaración, que no lo definí bien arriba.
    Conseguí que me compilara en phonegap build, poniendo en todos los plugins:

    1.  soruce="npm"

    pero cuando me meto en la aplicación, esta no funciona.

    ¿Hay que hacer algo más para que te funcione? ¿Hay que istalar de nuevo los plugins o algo?


    German91
    German91 
    Participant

    Hola @Angel, tengo entendido que ya no están alojados en la misma dirección que estaban antes, por eso cambio la forma de agregar los plugin

    Antes: (3.7.0)
    1.  <gap:plugin name="org.apache.cordova.battery-status" />

    Ahora: (cli-5.1.1)
    1.  <gap:plugin name="cordova-plugin-battery-status" source="npm" />

    En esta pagina encontraras todos los plugin actualizados!!! https://cordova.apache.org/

    Saludos!!!


    Ángel Luis Sánchez
    Ángel Luis Sánchez 
    Participant

    Probé como me dijiste, me compila bien, pero no me funciona la apk, es decir, se me instala en el móvil y eso, pero al entrar en la app me muestra un formulario pero no puedo enviar los datos ni nada y me salta el error que le tengo asociado a la petición AJAX.

    ¿Alguna idea?


    jcesarmobile 
    Participant

    Seguramente será un problema del whitelist, que lo han cambiado

    Mirate la documentación del plugin a ver si te ayuda
    https://github.com/apache/cordova-plugin-whitelist


    Twitter: https://twitter.com/jcesarmobile
    Tutoriales e información sobre phonegap: http://www.phonegap.es/
    Stack Overflow en Español: http://es.stackoverflow.com/


    Ángel Luis Sánchez
    Ángel Luis Sánchez 
    Participant

    A lo mejor pregunto una tontería, ¿pero cómo se usa ese plugin?
    ¿no basta con añadir las cosas al xml?


Viendo 6 respuestas - de la 1 a 6 (de 6 en total)

You must be logged in to reply to this topic.

RT @PWAExpertsIO: 🎙️ Cómo capturar 🎼 audios con tu #PWA. @JoseJ_PR te enseña cómo hacerlo a través de este #tutorial👇🏼 https://t.co/Rkpw609:57 PM Jun 8th